package arp

  1. Overview
  2. Docs
Address Resolution Protocol purely in OCaml

Install

Dune Dependency

Authors

Maintainers

Sources

arp-v2.3.2.tbz
sha256=ffe5072675b79cf709eb4553ad4e92cc455987ad9d9b642713f79a9de48a09e8
sha512=70ef9d77053a8bcac669b4cd4b1f3b46d0c327dfe795bc4d72865bfc4b4cbaf96740f2561aff3ae5772c9275bd81b2c83f952d45bb1820d745dc33b641eca25b

Description

ARP is an implementation of the address resolution protocol (RFC826) purely in OCaml. It handles IPv4 protocol addresses and Ethernet hardware addresses only.

Published: 22 Apr 2021

README

ARP - Address Resolution Protocol purely in OCaml

v2.3.2

ARP is an implementation of the address resolution protocol (RFC826) purely in OCaml. It handles IPv4 protocol addresses and Ethernet hardware addresses only.

A MirageOS Mirage_protocols.ARP implementation is in the mirage subdirectory.

Motivation for this implementation is written up.

Documentation

API documentation is available online.

Installation

opam install arp will install this library, once you have installed OCaml (>= 4.04.0) and opam (>= 2.0.0).

Benchmarks require more opam libraries, namely mirage-vnetif mirage-clock-unix mirage-unix mirage-random-test. Use make bench to build and run it.

Dependencies (11)

  1. mirage-profile >= "0.9"
  2. duration
  3. lwt
  4. mirage-protocols >= "4.0.0" & < "8.0.0"
  5. mirage-time >= "2.0.0"
  6. logs
  7. macaddr >= "4.0.0"
  8. ipaddr >= "4.0.0"
  9. cstruct >= "2.2.0" & < "6.1.0"
  10. dune >= "2.7.0"
  11. ocaml >= "4.06.0"

Dev Dependencies (12)

  1. mirage-flow with-test & >= "2.0.1"
  2. mirage-time-unix with-test & >= "2.0.0"
  3. mirage-random-test with-test & >= "0.1.0"
  4. mirage-random with-test & >= "2.0.0"
  5. mirage-clock-unix with-test & >= "3.0.0"
  6. mirage-vnetif with-test & >= "0.5.0"
  7. fmt with-test
  8. ethernet with-test & >= "2.0.0" & < "3.0.0"
  9. alcotest with-test
  10. bisect_ppx dev & >= "2.5.0"
  11. mirage-random-test with-test & >= "0.1.0"
  12. mirage-random with-test & >= "2.0.0"

Used by (3)

  1. capnp-rpc-mirage >= "1.1" & < "1.2.2"
  2. mirage-nat >= "1.1.0" & < "2.1.0"
  3. tcpip >= "6.0.0" & < "7.0.0"

Conflicts

None